package com.peup.service.impl;


import java.util.List;

import org.apache.log4j.Logger;
import org.springframework.batch.item.ItemWriter;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.peup.dto.DossierRedevableExport;
import com.peup.service.IRMXmlWriter;

/**
 * @author naoufel.fenira
 *
 */
@Service
public class RmXmlWriter implements ItemWriter<DossierRedevableExport>, IRMXmlWriter {

	private final static Logger logger = Logger.getLogger(RmXmlWriter.class);
	@Autowired
	DossierRedevableService dossierRedevableService;	
	

	public void write(List<? extends DossierRedevableExport> items) throws Exception {

		// creation d'un nouveau fichier log
		// ouverture en ecriture
		//maj BD
		for (DossierRedevableExport dossierRedevable : items) {
			if (dossierRedevable.getDossierRedevableDto() != null) {
//				logger.debug("DossierId:" + dossierRedevable.getDossierRedevableDto().getDossierId());
//				logger.debug("RedevableId:" + dossierRedevable.getDossierRedevableDto().getRedevableId());
//				logger.debug("Adresse:" + dossierRedevable.getDossierRedevableDto().getAdresse());
////				logger.debug("SourcePath:" + dossierRedevable.getSourcePath());
				logger.info("");
				// Maj dossier update siret
				//
				dossierRedevableService.updateTemplate(dossierRedevable);
			}
		} // fors
		 //cloture de fichier log
	}
	
}
