package com.peup.mappers.mapper;

import java.text.ParseException;

import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.peup.dto.DossierRedevableDto;
import com.peup.dto.DossierRedevableExport;
import com.peup.service.util.DataValueException;

@Component
public class MappingDossierRedevableToDossierRedevableExport {
	private final static Logger logger = Logger.getLogger(MappingDossierRedevableToDossierRedevableExport.class);

	@Autowired
	DossierRedevableExport dossierRedevableExport;

	public DossierRedevableExport mapRmAmi(DossierRedevableDto dossierRedevable)
			throws ParseException, DataValueException {

		if (dossierRedevable == null) {
			throw new DataValueException("dossierRedevable is NULL");
		}
		dossierRedevableExport =new DossierRedevableExport();
		
		logger.info("MappingDossierRedevableToDossierRedevableExport-> dossierRedevable:"+dossierRedevable.getDossierId());
		dossierRedevableExport = peuplement(dossierRedevable);
//		dossierRedevableExport.setDossierRedevableDto(dossierRedevable);
//		dossierRedevableExport.setDossierState();
//		dossierRedevableExport.setSiretDossier();
//		dossierRedevableExport.setDistance();
//		dossierRedevableExport.setxStorAdr();
//		dossierRedevableExport.setyStorAdr();
//		dossierRedevableExport.setxFlatFile();
//		dossierRedevableExport.setyFlatFile();
		
		return dossierRedevableExport;
	}
    //...................................................
	//
	//...................................................
	private DossierRedevableExport peuplement(DossierRedevableDto dossierRedevable) 
	{
		DossierRedevableExport resultat = new DossierRedevableExport();
		resultat.setDossierRedevableDto(dossierRedevable);

		return resultat;
	}


}
